<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: Event Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structEvent.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structEvent-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Event Struct Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:afd30660358c854e191265792814ee078"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEvent.html#afd30660358c854e191265792814ee078">Id</a></td></tr>
<tr class="separator:afd30660358c854e191265792814ee078"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e11257e8ec1f970fb3159060bc2d17"><td class="memItemLeft" align="right" valign="top"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEvent.html#a30e11257e8ec1f970fb3159060bc2d17">EventType</a></td></tr>
<tr class="separator:a30e11257e8ec1f970fb3159060bc2d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1010c7a7dfb056fee72df7c1575d90"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEvent.html#add1010c7a7dfb056fee72df7c1575d90">Data</a></td></tr>
<tr class="separator:add1010c7a7dfb056fee72df7c1575d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Event for the push button event list. </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderPush_8hpp_source.html#l00012">12</a> of file <a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="add1010c7a7dfb056fee72df7c1575d90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Event::Data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Associated data. </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderPush_8hpp_source.html#l00016">16</a> of file <a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a30e11257e8ec1f970fb3159060bc2d17"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> Event::EventType</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Event type. </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderPush_8hpp_source.html#l00015">15</a> of file <a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="afd30660358c854e191265792814ee078"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long Event::Id</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>id for this event. </p>

<p class="definition">Definition at line <a class="el" href="ButtonsCommanderPush_8hpp_source.html#l00014">14</a> of file <a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="ButtonsCommanderPush_8hpp_source.html">ButtonsCommanderPush.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structEvent.html">Event</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
